org.eclipse.rdf4j.common.logging.file.logback

## Class FileLogReader

- java.lang.Object
- - org.eclipse.rdf4j.common.logging.base.AbstractLogReader
  - - org.eclipse.rdf4j.common.logging.file.logback.FileLogReader

- All Implemented Interfaces:
    Iterator<LogRecord>, LogReader

      public class FileLogReader
      extends AbstractLogReader

  File log reader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileLogReader()` Constructor
    `FileLogReader(File logFile)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroy the log reader and release all used resources.
    `boolean` | `hasNext()`
    `void` | `init()` Initialize the log reader.
    `boolean` | `isMoreAvailable()` Check if more records are available after limit is reached.
    `LogRecord` | `next()`
    `void` | `setAppender(ch.qos.logback.core.Appender<?> appender)` Logging appender associated with this reader.

    - ### Methods inherited from class org.eclipse.rdf4j.common.logging.base.AbstractLogReader

      `getAppender, getEndDate, getLevel, getLimit, getMaxDate, getMinDate, getOffset, getStartDate, getThread, getThreadNames, remove, setEndDate, setLevel, setLimit, setOffset, setStartDate, setThread, supportsDateRanges, supportsLevelFilter, supportsThreadFilter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### FileLogReader

          public FileLogReader()

      Constructor

    - #### FileLogReader

          public FileLogReader(File logFile)

      Constructor
      Parameters:
        `logFile` -

  - ### Method Detail

    - #### setAppender

          public void setAppender(ch.qos.logback.core.Appender<?> appender)

      Description copied from interface: `LogReader`
      Logging appender associated with this reader.
      Specified by:
        `setAppender` in interface `LogReader`
      Overrides:
        `setAppender` in class `AbstractLogReader`
      Parameters:
        `appender` - logging appender associated with this reader

    - #### init

          public void init()
                    throws Exception

      Description copied from interface: `LogReader`
      Initialize the log reader.
      Throws:
        `Exception`

    - #### isMoreAvailable

          public boolean isMoreAvailable()

      Description copied from interface: `LogReader`
      Check if more records are available after limit is reached.
      Returns:
        true if more records are available

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<LogRecord>`
      Specified by:
        `hasNext` in class `AbstractLogReader`

    - #### next

          public LogRecord next()

      Specified by:
        `next` in interface `Iterator<LogRecord>`
      Specified by:
        `next` in class `AbstractLogReader`

    - #### destroy

          public void destroy()
                       throws IOException

      Description copied from interface: `LogReader`
      Destroy the log reader and release all used resources.
      Throws:
        `IOException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.